Bug 832353 - Review Request: perl-Net-Dropbox-API - A dropbox API interface
Review Request: perl-Net-Dropbox-API - A dropbox API interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 759686
  Show dependency treegraph
 
Reported: 2012-06-15 04:46 EDT by Robin Lee
Modified: 2014-10-16 07:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 16:29:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2012-06-15 04:46:21 EDT
Spec URL: http://cheeselee.fedorapeople.org/perl-Net-Dropbox-API.spec
SRPM URL: http://cheeselee.fedorapeople.org/perl-Net-Dropbox-API-1.8-1.fc17.src.rpm
Description:
The Dropbox API is a OAuth based API. It is abstracted as much away
as possible so you should not need to know too much about it.

Fedora Account System Username: cheeselee
Comment 1 Mario Blättermann 2012-07-07 15:12:02 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4224798

$ rpmlint -i -v *
perl-Net-Dropbox-API.noarch: I: checking
perl-Net-Dropbox-API.noarch: I: checking-url http://search.cpan.org/dist/Net-Dropbox-API/ (timeout 10 seconds)
perl-Net-Dropbox-API.src: I: checking
perl-Net-Dropbox-API.src: I: checking-url http://search.cpan.org/dist/Net-Dropbox-API/ (timeout 10 seconds)
perl-Net-Dropbox-API.src: I: checking-url http://www.cpan.org/authors/id/N/NO/NORBU/Net-Dropbox-API-1.8.tar.gz (timeout 10 seconds)
perl-Net-Dropbox-API.spec: I: checking-url http://www.cpan.org/authors/id/N/NO/NORBU/Net-Dropbox-API-1.8.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK so far. Formal review follows.
Comment 2 Mario Blättermann 2012-07-07 15:19:40 EDT
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    & md5sum *
    774eedef898d2f7db7837fe50974ff52  Net-Dropbox-API-1.8.tar.gz
    774eedef898d2f7db7837fe50974ff52  Net-Dropbox-API-1.8.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji build above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[+] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[+] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[.] SHOULD: The reviewer should test that the package functions as described.
    Don't know how to test it on my system. I assume the packager has tested it.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------
Comment 3 Robin Lee 2012-07-08 23:24:15 EDT
Thank you!

New Package SCM Request
=======================
Package Name: perl-Net-Dropbox-API
Short Description: A dropbox API interface
Owners: cheeselee
Branches: f16 f17
InitialCC:
Comment 4 Robin Lee 2012-07-10 02:20:06 EDT
New Package SCM Request
=======================
Package Name: perl-Net-Dropbox-API
Short Description: A dropbox API interface
Owners: cheeselee
Branches: f16 f17
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2012-07-10 18:35:42 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-07-12 01:58:20 EDT
perl-Net-Dropbox-API-1.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Net-Dropbox-API-1.8-1.fc16
Comment 7 Fedora Update System 2012-07-12 14:57:38 EDT
perl-Net-Dropbox-API-1.8-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2012-07-23 16:29:17 EDT
perl-Net-Dropbox-API-1.8-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Robin Lee 2014-10-16 05:47:54 EDT
Package Change Request
======================
Package Name: perl-Net-Dropbox-API
New Branches: el6 epel7
Owners: cheeselee
Comment 10 Gwyn Ciesla 2014-10-16 07:44:21 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.